import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';
@Component({
  selector: 'app-cf-remark-page-detail',
  templateUrl: './cf-remark-page-detail.component.html',
  styleUrls: ['./cf-remark-page-detail.component.scss']
})
export class CfRemarkPageDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({
      'school_id': [null, Validators.compose([Validators.required])],
      'remark': [null, Validators.compose([Validators.required])],
      'remark_order': [null, Validators.compose([Validators.required])],
    });
   }

  ngOnInit(): void {
  }

}
