import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { CfRemarkPageComponent } from './cf-remark-page/cf-remark-page.component';
import { CfRemarkPageDetailComponent } from './cf-remark-page-detail/cf-remark-page-detail.component';

const routes: Routes = [
  {path: 'page', component: CfRemarkPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [CfRemarkPageComponent, CfRemarkPageDetailComponent],
  exports: [
    RouterModule
  ]
})
export class CfRemarkModule {
}
