import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { SubjectDisciplinePageComponent } from './subject-discipline-page/subject-discipline-page.component';
import { SubjectDisciplinePageDetailComponent } from './subject-discipline-page-detail/subject-discipline-page-detail.component';

const routes: Routes = [
  {path: 'page', component: SubjectDisciplinePageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [SubjectDisciplinePageComponent, SubjectDisciplinePageDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ConfDisciplineModule {
}
