import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfScorePanelComponent } from './conf-score-panel/conf-score-panel.component';
import { ConfScorePanelDetailComponent } from './conf-score-panel-detail/conf-score-panel-detail.component';
import { ConfScorePanelRangeComponent } from './conf-score-panel-range/conf-score-panel-range.component';
import { ConfScorePanelSyncComponent } from './conf-score-panel-sync/conf-score-panel-sync.component';

const routes: Routes = [
  {path: 'page', component: ConfScorePanelComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ ConfScorePanelComponent, ConfScorePanelDetailComponent, ConfScorePanelRangeComponent, ConfScorePanelSyncComponent],
  exports: [
    RouterModule
  ]
})
export class ConfPanelModule {
}
