import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfParamPageComponent } from './conf-param-page/conf-param-page.component';
import { ConfParamPageDetailComponent } from './conf-param-page-detail/conf-param-page-detail.component';
import { ConfParamSyncComponent } from './conf-param-sync/conf-param-sync.component';

const routes: Routes = [
  {path: 'page', component: ConfParamPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ ConfParamPageDetailComponent, ConfParamSyncComponent],
  exports: [
    RouterModule
  ]
})
export class ConfParamModule {
}
