import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfSchoolPageComponent } from './conf-school-page/conf-school-page.component';
import { ConfSchoolDetailComponent } from './conf-school-detail/conf-school-detail.component';
import { ConfSchoolBatchDetailComponent } from './conf-school-batch-detail/conf-school-batch-detail.component';
import { ConfSchoolSubjectDetailComponent } from './conf-school-subject-detail/conf-school-subject-detail.component';
import { ConfSchoolVarietyDetailComponent } from './conf-school-variety-detail/conf-school-variety-detail.component';

const routes: Routes = [
  {path: 'page', component: ConfSchoolPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ConfSchoolPageComponent, ConfSchoolDetailComponent, ConfSchoolBatchDetailComponent, ConfSchoolSubjectDetailComponent, ConfSchoolVarietyDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ConfSchoolModule {
}
