import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { EnrolDataPageComponent } from '../enrol-data/enrol-data-page/enrol-data-page.component';
import { BaseDataPageComponent } from './base-data-page/base-data-page.component';


const routes: Routes = [
  {path: 'page', component: BaseDataPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [EnrolDataPageComponent],
  declarations: [BaseDataPageComponent,EnrolDataPageComponent],
  exports: [
    RouterModule
  ]
})
export class ImpBaseModule {
}
