import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';


const routes: Routes = [
  {path: 'imp.base', loadChildren: () => import('./base-data/base.imp.module').then(m => m.ImpBaseModule)},
  {path: 'imp.enrol', loadChildren: () => import('./enrol-data/enrol.imp.module').then(m => m.ImpEnrolModule)},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [],
  exports: [
    RouterModule
  ]
})

export class ArtImpModule {
}
