import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { CheckinGroupComponent } from './checkin-group/checkin-group.component';

const routes: Routes = [
  {path: 'group', component: CheckinGroupComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [CheckinGroupComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeCheckinModule {
}
