import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {EntryComponent} from './entry/entry.component';

const routes: Routes = [
  {path: 'page', component: EntryComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [EntryComponent],
  exports: [
    RouterModule
  ]
})
export class EntryModule {
}
