import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import { ExStdEntryInfoPageComponent } from './ex-std-entry-info-page/ex-std-entry-info-page.component';
import { ExStdEntryInfoPageDetailComponent } from './ex-std-entry-info-page-detail/ex-std-entry-info-page-detail.component';
import {SharedModule} from '../../../../shared/shared.module';

const routes: Routes = [
  {path: 'page', component: ExStdEntryInfoPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ExStdEntryInfoPageComponent, ExStdEntryInfoPageDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ExStdEntryInfoModule {
}
