import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-layout-interview-param',
  templateUrl: './layout-interview-param.component.html',
  styleUrls: ['./layout-interview-param.component.scss']
})
export class LayoutInterviewParamComponent  extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({
      'show_std_name': [null, null],
      'show_std_height': [null, null],
      'show_std_weight': [null, null],
      'show_std_image': [null, null],
      'show_std_sex': [null, null],
      'show_tracks': [null, null],
      'show_topic': [null, null],
      'show_sign': [null, null],
      'show_remark': [null, null],
      'separate_status': [null, null],
      'exam_echo_status': [null, null],
      'show_province': [null, null],
      'show_discipline': [null, null],
      'show_avoid': [null, null],
      'judge_record_need': [null, null],
      'display_screen': [null, null],
      'play_second': [null, null],
      'entry_info': [null, null],
    });
  }

  ngOnInit(): void {
  }

}
