import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { TaskDistComponent } from './task-dist/task-dist.component';
import { TaskDistCancelComponent } from './task-dist-cancel/task-dist-cancel.component';
import { TaskDistDetailComponent } from './task-dist-detail/task-dist-detail.component';

const routes: Routes = [
  {path: 'dist', component: TaskDistComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [TaskDistComponent, TaskDistCancelComponent, TaskDistDetailComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeTaskModule {
}
