import { Component, OnInit, ViewChild } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { FramePager } from 'src/app/core/frame/pager/frame-pager/frame-pager';
import { ModalService } from 'src/app/core/service/modal.service';
import { MsgService } from 'src/app/core/service/msg.service';
import { FrameDetailComponent } from 'src/app/routes/frame/core/detail/frame.detail';
import { FramePageComponent } from 'src/app/routes/frame/core/page/frame.page';


@Component({
  selector: 'app-material-pic-page',
  templateUrl: './material-pic-page.component.html',
  styleUrls: ['./material-pic-page.component.scss']
})
export class MaterialPicPageComponent extends FrameDetailComponent implements OnInit {
  @ViewChild('picPager', {static: false}) picPager: FramePager;

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({});
  }

  ngOnInit(): void {

  }

}
