import { Component, OnInit, ViewChild } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { FramePager } from 'src/app/core/frame/pager/frame-pager/frame-pager';
import { ModalService } from 'src/app/core/service/modal.service';
import { MsgService } from 'src/app/core/service/msg.service';
import { FrameDetailComponent } from 'src/app/routes/frame/core/detail/frame.detail';
import { FramePageComponent } from 'src/app/routes/frame/core/page/frame.page';

@Component({
  selector: 'app-material-video-page',
  templateUrl: './material-video-page.component.html',
  styleUrls: ['./material-video-page.component.scss']
})
export class MaterialVideoPageComponent extends FrameDetailComponent implements OnInit {
  @ViewChild('videoPager', {static: false}) videoPager: FramePager;

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({});
  }

  ngOnInit(): void {

  }

  requestData() {
    debugger;
    //this.videoPager.reload({school_id : this.ResponseEntity.school_id, batch_id : this.ResponseEntity.batch_id});
  }

  
}
