import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { StdPhotoScreenComponent } from './std-photo-screen/std-photo-screen.component';


const routes: Routes = [
  {path: 'screen', component: StdPhotoScreenComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [StdPhotoScreenComponent],
  exports: [
    RouterModule
  ]
})
export class MaterialPhotoModule {
}