import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { TaskVideoReportComponent } from './task-video-report/task-video-report.component';
import { TaskVideoReportDetailComponent } from './task-video-report-detail/task-video-report-detail.component';


const routes: Routes = [
  {path: 'total', component: TaskVideoReportComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [TaskVideoReportComponent, TaskVideoReportDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ReportVideoModule {
}