import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {JudgeScoreRejectionComponent} from "./judge-score-rejection/judge-score-rejection.component";


const routes: Routes = [
  {path: 'page', component: JudgeScoreRejectionComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [JudgeScoreRejectionComponent],
  exports: [
    RouterModule
  ]
})
export class ScoreRejectionModule {
}
