import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ScoreResultListComponent } from './score-result-list/score-result-list.component';
import { ScoreResultListDetailComponent } from './score-result-list-detail/score-result-list-detail.component';

const routes: Routes = [
  {path: 'list', component: ScoreResultListComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ScoreResultListComponent, ScoreResultListDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ScoreResultModule {
}
