import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';
@Component({
  selector: 'app-subject-discipline-page-detail',
  templateUrl: './subject-discipline-page-detail.component.html',
  styleUrls: ['./subject-discipline-page-detail.component.scss']
})
export class SubjectDisciplinePageDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({
      'school_id': [null, null],
      'discipline_order': [null, Validators.compose([Validators.required])],
      'discipline_value': [null, Validators.compose([Validators.required])],
      'discipline_notice': [null, null]
    });
   }

  ngOnInit(): void {
  }

}
