import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { OptrSchoolPageComponent } from './optr-school-page/optr-school-page.component';
import { OptrSchoolPageDetailComponent } from './optr-school-page-detail/optr-school-page-detail.component';

const routes: Routes = [
  {path: 'page', component: OptrSchoolPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [OptrSchoolPageComponent, OptrSchoolPageDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ConfOptrModule {
}
