import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfRangeScorePageComponent } from './conf-range-score-page/conf-range-score-page.component';
import { ConfRangeScorePageDetailComponent } from './conf-range-score-page-detail/conf-range-score-page-detail.component';
import { ConfRangeScoreSubjectComponent } from './conf-range-score-subject/conf-range-score-subject.component';

const routes: Routes = [
  {path: 'page', component: ConfRangeScorePageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ConfRangeScorePageComponent, ConfRangeScorePageDetailComponent, ConfRangeScoreSubjectComponent],
  exports: [
    RouterModule
  ]
})
export class ConfRangeModule {
}
