import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { InroomStdComponent } from './inroom-std/inroom-std.component';

const routes: Routes = [
  {path: 'std', component: InroomStdComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [InroomStdComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeInroomModule {
}
