import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { LayoutInterviewComponent } from './layout-interview/layout-interview.component';
import { LayoutInterviewDetailComponent } from './layout-interview-detail/layout-interview-detail.component';
import { LayoutInterviewParamComponent } from './layout-interview-param/layout-interview-param.component';
import { LayoutInterviewRoomComponent } from './layout-interview-room/layout-interview-room.component';

const routes: Routes = [
  {path: 'interview', component: LayoutInterviewComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [LayoutInterviewComponent, LayoutInterviewDetailComponent, LayoutInterviewParamComponent, LayoutInterviewRoomComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeLayoutModule {
}
