import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { RoomInterviewPhotoGraphComponent } from './room-interview-photo-graph/room-interview-photo-graph.component';

const routes: Routes = [
  {path: 'detail', component: RoomInterviewPhotoGraphComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [RoomInterviewPhotoGraphComponent],
  exports: [
    RouterModule
  ]
})
export class JudgePhotographModule {
}
