import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { RoomInterviewListComponent } from './room-interview-list/room-interview-list.component';
import { RoomInterviewJudgeComponent } from './room-interview-judge/room-interview-judge.component';
import { RoomInterviewStdComponent } from './room-interview-std/room-interview-std.component';
import { RoomInterviewTaskAppendComponent } from './room-interview-task-append/room-interview-task-append.component';
import { RoomInterviewJudgeHandComponent } from './room-interview-judge-hand/room-interview-judge-hand.component';
import { RoomInterviewVideoStdComponent } from './room-interview-video-std/room-interview-video-std.component';
import { RoomInterviewJudgeScoreComponent } from './room-interview-judge-score/room-interview-judge-score.component';
import { RoomInterviewTaskAppendNewComponent } from './room-interview-task-append-new/room-interview-task-append-new.component';

const routes: Routes = [
  {path: 'list', component: RoomInterviewListComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [RoomInterviewListComponent, RoomInterviewJudgeComponent, RoomInterviewStdComponent, RoomInterviewTaskAppendComponent, RoomInterviewJudgeHandComponent, RoomInterviewVideoStdComponent, RoomInterviewJudgeScoreComponent, RoomInterviewTaskAppendNewComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeRoomModule {
}
