import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { JudgeRoomPageComponent } from './judge-room-page/judge-room-page.component';
import { JudgeRoomPageDetailComponent } from './judge-room-page-detail/judge-room-page-detail.component';

const routes: Routes = [
  {path: 'page', component: JudgeRoomPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [JudgeRoomPageComponent, JudgeRoomPageDetailComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeRoomjudgeModule {
}
