import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { TaskDistNewComponent } from './task-dist-new/task-dist-new.component';
import { TaskDistDetailNewComponent } from './task-dist-detail-new/task-dist-detail-new.component';
import { TaskDistCancelNewComponent } from './task-dist-cancel-new/task-dist-cancel-new.component';

const routes: Routes = [
  {path: 'dist', component: TaskDistNewComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [TaskDistNewComponent, TaskDistDetailNewComponent, TaskDistCancelNewComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeTaskNewModule {
}
