import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { VideoComponent } from './video/video.component';

const routes: Routes = [
  {path: 'play', component: VideoComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [VideoComponent],
  exports: [
    RouterModule
  ]
})
export class JudgeVidoeModule {
}
