import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { StdRegPageComponent } from './std-reg-page/std-reg-page.component';
import { StdRegPageDetailComponent } from './std-reg-page-detail/std-reg-page-detail.component';
import { StdRegDateModifyComponent } from './std-reg-date-modify/std-reg-date-modify.component';


const routes: Routes = [
  {path: 'page', component: StdRegPageComponent},
  {path: 'detail/:std_id', component: StdRegPageDetailComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [StdRegPageComponent, StdRegPageDetailComponent, StdRegDateModifyComponent],
  exports: [
    RouterModule
  ]
})
export class MaterialRegModule {
}