import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { StdMaterialReviewComponent } from './std-material-review/std-material-review.component';
import { StdMaterialReviewDisciplineComponent } from './std-material-review-discipline/std-material-review-discipline.component';
import { StdMaterialReviewPageComponent } from './std-material-review-page/std-material-review-page.component';


const routes: Routes = [
  {path: 'detail', component: StdMaterialReviewComponent},
  {path: 'page', component: StdMaterialReviewPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [StdMaterialReviewComponent, StdMaterialReviewDisciplineComponent, StdMaterialReviewPageComponent],
  exports: [
    RouterModule
  ]
})
export class MaterialReviewModule {
}