import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { MaterialPicPageComponent } from '../material-pic/material-pic-page/material-pic-page.component';
import { MaterialVideoPageComponent } from '../material-video/material-video-page/material-video-page.component';
import { StdMaterialPageComponent } from './std-material-page/std-material-page.component';


const routes: Routes = [
  {path: 'page', component: StdMaterialPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [MaterialPicPageComponent,MaterialVideoPageComponent],
  declarations: [StdMaterialPageComponent,MaterialPicPageComponent,MaterialVideoPageComponent],
  exports: [
    RouterModule
  ]
})
export class MaterialStdModule {
}