import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { InterviewStdReportComponent } from './interview-std-report/interview-std-report.component';
import { InterviewStdReportDetailComponent } from './interview-std-report-detail/interview-std-report-detail.component';


const routes: Routes = [
  {path: 'std', component: InterviewStdReportComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [InterviewStdReportComponent, InterviewStdReportDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ReportInterviewModule {
}