import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ScoreCurveReportComponent } from './score-curve-report/score-curve-report.component';
import { JudgeScoreReportComponent } from './judge-score-report/judge-score-report.component';


const routes: Routes = [
  {path: 'curve', component: ScoreCurveReportComponent},
  {path: 'judge', component: JudgeScoreReportComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ScoreCurveReportComponent, JudgeScoreReportComponent],
  exports: [
    RouterModule
  ]
})
export class ReportScoreModule {
}