import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ScoreCheckDetailComponent } from './score-check-detail/score-check-detail.component';

const routes: Routes = [
  {path: 'detail', component: ScoreCheckDetailComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ScoreCheckDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ScoreCheckModule {
}
