import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ScoreRecordListComponent } from './score-record-list/score-record-list.component';
import { ScoreRecordListDetailComponent } from './score-record-list-detail/score-record-list-detail.component';

const routes: Routes = [
  {path: 'list', component: ScoreRecordListComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ScoreRecordListComponent, ScoreRecordListDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ScoreRecordModule {
}
