import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';

const routes: Routes = [
  {path: 'std.tracks', loadChildren: () => import('./std-tracks/std.tracks.module').then(m => m.StdTracksModule)},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [],
  exports: [
    RouterModule
  ]
})

export class ArtTracksModule {
}
